// -------------------------------------------------------------------------------------------------
// xsEtiqueta.hpp
// -------------------------------------------------------------------------------------------------

// Se incluye la libreria
#include "xsEasyCpp.hpp"

#ifndef __xsEtiqueta_hpp__
#define __xsEtiqueta_hpp__

Clase xsEtiqueta : Publica xsObjeto
{
	Publica:

        xsEtiqueta();

		Vacio crear(xsCadena texto);
		
	    xsEtiqueta(xsCadena texto);
		
		Vacio colocarTexto(xsCadena texto);

		xsCadena obtenerTexto();

		Vacio establecerLineWrap(Logico wrap);

		Vacio establecerLineWrapMode(xsPangoEmpacarModo modoEmpacar);

		Vacio establecerLineas(Entero lineas);

		Vacio colocarTextoHtml(xsCadena texto);

		Vacio alinearHorizontalmente(Flotante alineacion);

		Vacio alinearVerticalmente(Flotante alineacion);

		Vacio justificar(xsJustificacion justificacion);	
};

// Fin de la Definición del Archivo
#endif
